### Method

# WebKit2WebExtension DOMDocument create_text_node

deprecated: 2.22

#### Declaration [src]

    WebKitDOMText*
    webkit_dom_document_create_text_node (
      WebKitDOMDocument* self,
      const gchar* data
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`data`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitDOMText`

A `WebKitDOMText`.

The data is owned by the instance.